none
同时安装了VS2008中文和英文2个版本后... RRS feed

  • 问题

  • 因为想学习ria service.同时安装了VS2008中文和英文2个版本,在英文情况下,新建一个Silverlight应用程序,然后添加实体数据模型,出现错误.Error HRESULT E_FAIL has been returned from a call to a COM component,实体数据模型无法建立.而在中文情况下正常.请教可能是什么原因.
    2009年10月10日 6:29

答案

  • 你好!

    首先,不好意思,周版主,要稍微纠正一下,按照理论上来说,同时安装两种语言版本的VS2008在同一台机器上是不会发生冲突的,因为我们常常会用这种方法来进行VS IDE的语言切换。可以参考:http://blogs.msdn.com/astebner/archive/2006/03/24/560579.aspx :)

    但是,说实话,我不是很清楚这样做对Silverlight的开发会有什么影响。你安装的是Microsoft® Silverlight™ 3 Tools for Visual Studio 2008 SP1吧。请确认一下你的两个Visual Studio 2008是否都打过SP1了,并确保安装了 Visual Web Developer 功能。而且需要卸载掉Expression Blend 的任何 Beta 版本或预览版本。

    对于你的问题,我建议你可以去Silverlight 技术论坛去问一下,应该能得到更好的解答的。

    希望对你有所帮助。 :)


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • 已标记为答案 YiChun Chen 2009年10月13日 3:00
    2009年10月12日 4:20
  • 你好!

    首先,不好意思,周版主,要稍微纠正一下,按照理论上来说,同时安装两种语言版本的VS2008在同一台机器上是不会发生冲突的,因为我们常常会用这种方法来进行VS IDE的语言切换。可以参考:http://blogs.msdn.com/astebner/archive/2006/03/24/560579.aspx  :)

    但是,说实话,我不是很清楚这样做对Silverlight的开发会有什么影响。你安装的是Microsoft® Silverlight™ 3 Tools for Visual Studio 2008 SP1 吧。请确认一下你的两个Visual Studio 2008是否都打过SP1了,并确保安装了 Visual Web Developer 功能。而且需要卸载掉Expression Blend 的任何 Beta 版本或预览版本。

    对于你的问题,我建议你可以去Silverlight 技术 论坛去问一下,应该能得到更好的解答的。

    希望对你有所帮助。 :)


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    多谢指教啊!的确可以同时安装两个不同的语言版本的VS2008,我上面的说法有误!
    在此向“磊锅子”表示歉意啊!
    同时感谢YiChun Chen指出了我的回复中的错误,十分感谢!

    周雪峰
    呵呵,客气了,大家互相学习。 ^_^

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • 已标记为答案 磊锅子 2009年10月13日 2:19
    2009年10月12日 4:46
  • 我现在是在中文语言下添加实体数据模型,然后切换到英文环境下进行RIA service添加了,没有问题,谢谢大家解答.
    • 已标记为答案 YiChun Chen 2009年10月13日 2:59
    2009年10月13日 2:18

全部回复

  • 你好!
         同时安装不同语言版本的VS2008会出现冲突,建议您保留其中之一!
    周雪峰
    2009年10月10日 10:39
    版主
  • 你好!

    首先,不好意思,周版主,要稍微纠正一下,按照理论上来说,同时安装两种语言版本的VS2008在同一台机器上是不会发生冲突的,因为我们常常会用这种方法来进行VS IDE的语言切换。可以参考:http://blogs.msdn.com/astebner/archive/2006/03/24/560579.aspx :)

    但是,说实话,我不是很清楚这样做对Silverlight的开发会有什么影响。你安装的是Microsoft® Silverlight™ 3 Tools for Visual Studio 2008 SP1吧。请确认一下你的两个Visual Studio 2008是否都打过SP1了,并确保安装了 Visual Web Developer 功能。而且需要卸载掉Expression Blend 的任何 Beta 版本或预览版本。

    对于你的问题,我建议你可以去Silverlight 技术论坛去问一下,应该能得到更好的解答的。

    希望对你有所帮助。 :)


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • 已标记为答案 YiChun Chen 2009年10月13日 3:00
    2009年10月12日 4:20
  • 你好!

    首先,不好意思,周版主,要稍微纠正一下,按照理论上来说,同时安装两种语言版本的VS2008在同一台机器上是不会发生冲突的,因为我们常常会用这种方法来进行VS IDE的语言切换。可以参考:http://blogs.msdn.com/astebner/archive/2006/03/24/560579.aspx  :)

    但是,说实话,我不是很清楚这样做对Silverlight的开发会有什么影响。你安装的是Microsoft® Silverlight™ 3 Tools for Visual Studio 2008 SP1 吧。请确认一下你的两个Visual Studio 2008是否都打过SP1了,并确保安装了 Visual Web Developer 功能。而且需要卸载掉Expression Blend 的任何 Beta 版本或预览版本。

    对于你的问题,我建议你可以去Silverlight 技术 论坛去问一下,应该能得到更好的解答的。

    希望对你有所帮助。 :)


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    多谢指教啊!的确可以同时安装两个不同的语言版本的VS2008,我上面的说法有误!
    在此向“磊锅子”表示歉意啊!
    同时感谢YiChun Chen指出了我的回复中的错误,十分感谢!

    周雪峰
    2009年10月12日 4:30
    版主
  • 你好!

    首先,不好意思,周版主,要稍微纠正一下,按照理论上来说,同时安装两种语言版本的VS2008在同一台机器上是不会发生冲突的,因为我们常常会用这种方法来进行VS IDE的语言切换。可以参考:http://blogs.msdn.com/astebner/archive/2006/03/24/560579.aspx  :)

    但是,说实话,我不是很清楚这样做对Silverlight的开发会有什么影响。你安装的是Microsoft® Silverlight™ 3 Tools for Visual Studio 2008 SP1 吧。请确认一下你的两个Visual Studio 2008是否都打过SP1了,并确保安装了 Visual Web Developer 功能。而且需要卸载掉Expression Blend 的任何 Beta 版本或预览版本。

    对于你的问题,我建议你可以去Silverlight 技术 论坛去问一下,应该能得到更好的解答的。

    希望对你有所帮助。 :)


    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    多谢指教啊!的确可以同时安装两个不同的语言版本的VS2008,我上面的说法有误!
    在此向“磊锅子”表示歉意啊!
    同时感谢YiChun Chen指出了我的回复中的错误,十分感谢!

    周雪峰
    呵呵,客气了,大家互相学习。 ^_^

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • 已标记为答案 磊锅子 2009年10月13日 2:19
    2009年10月12日 4:46
  • 我现在是在中文语言下添加实体数据模型,然后切换到英文环境下进行RIA service添加了,没有问题,谢谢大家解答.
    • 已标记为答案 YiChun Chen 2009年10月13日 2:59
    2009年10月13日 2:18
  • 呵呵,也谢谢周版主的回复。欢迎有问题再来。 :)
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    2009年10月13日 3:00